Subject: bug#76559: 31.0.50; [-O3 + PGTK] Crash when 'copying as kill'/'killing word'

From: Paul Eggert <[email-masked]>
Date: Thu, 27 Feb 2025 13:13:31 -0800

On 2/27/25 11:58, Eli Zaretskii wrote:
> People nowadays are likely to upgrade to the latest GCC version as
> soon as it's out, and immediately start using it for production, and
> are also too eager to use -O3 without checking whether it gives them
> any gains.  The recommendation I have in mind aims at making the lives
> of those users safer and less complicated.

Yes, that all sounds good in the context of ordinary builds. Similarly, 
we could recommend against options like -Os and -fsanitize=undefined in 
ordinary builds.